Subject: How I came to Ranma and the ML
From: "SRanmaJ" <[email-masked]>
To: "Ranma" <[email-masked]>
Date: Wed, 30 Sep 1998 22:13:59 -0700

Well, I didn't really even find out about anime in general until about my senior year in highschool...our physics/calculus teacher would pop in a tape every so often in class when everbody was just working on stuff...me and one of my friends were immediatley interested in it, and so we put together a petition to start an Anime club there...our teacher agreed to sponsor it, apparently he had been trying to get one started for several years, but there hadn't been much student interest...but we got it together, and enough sigs on our petition, and thus the Anime High at Socorro started...from what I've heard it's still going strong...for the rest of the school year, every so often I would ask our teacher if I could borrow a few tapes off of his list...As I recall, it wasn't until the spring that I asked to borrow Ranma...but when I did, I borrowed all of the first and second seasons, along with the two movies at once, and watched it all that weekend...I guess you could say I'm rambling by now...

As for the ML, I couldn't even remember when I joined it, so I took a nice little surf through the archives...and I made my first post on February 11, 1998...just before the Edgars...I can't recall how I found out about it either...It was probably either from the 'pike or simple surfing...

Hmm...I was gonna put a reply in here, but this is starting to look huge...so I'll do another message...

Oh, and I'm actually trying to pull out of my lurkdom, but school is just taking up so much time that the lurkdom seems to be winning our little game of tug 'o war...but I'll try to kick its butt soon :P

---
SRanmaJ     {ICQ:  8260952}
"Kabettowa mou kyoudai narimasukara, sekkai o sebu shite imasu."
{KTF: Majordomo}{CoRK}{C.O.N.}{CoRK}{TSLGOTTP}
{Unwavering Defender of Gate 17: CabbitSpace Central}
{SSoAGMA: Master of Anything Goes Cabbit-Wielding}
{ http://www.geocities.com/Tokyo/Garden/3876/ }
{Ranma's Anime Dojo/Akane Ring/KTF Mirror}